## avy 0.4.0

=== Makefile ===
emacs ?= emacs
# EMACS = emacs-24.3

LOAD = -l avy.el -l avy-test.el

.PHONY: all test clean

all: compile test

test:
	$(emacs) -batch $(LOAD) -f ert-run-tests-batch-and-exit

compile:
	$(emacs) -batch -l targets/avy-init.el

run:
	$(emacs) -Q -l targets/avy-init.el

clean:
	rm -f *.elc

=== debian/changelog ===
avy (0.4.0-2) unstable; urgency=medium

  * Do not Build-Depend on emacs-nox
  * Enhance emacs25, not emacs24

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 27 Dec 2016 22:52:39 +0500

avy (0.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #839258)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 1 Oct 2016 00:36:30 +0500

=== debian/control ===
Source: avy
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 3.9.8
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/abo-abo/avy
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/avy.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/avy.git

Package: elpa-avy
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacs
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs25
Built-Using: ${misc:Built-Using}
Description: jump to things in Emacs tree-style
 This package provides a generic completion method based on building
 a balanced decision tree with each candidate being a leaf.  To
 traverse the tree from the root to a desired leaf, typically a
 sequence of `read-key' can be used.
 .
 In order for `read-key' to make sense, the tree needs to be
 visualized appropriately, with a character at each branch node.  So
 this completion method works only for things that you can see on
 your screen, all at once:
 .
  * character positions
  * word or subword start positions
  * line beginning positions
  * link positions
  * window positions
 .
 If you're familiar with the popular `ace-jump-mode' package, this
 package does all that and more, without the implementation
 headache.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with elpa

override_dh_auto_install:
	emacs doc/Changelog.org --batch -f org-ascii-export-to-ascii --kill

.PHONY: override_dh_auto_install

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%avy-$1.tar.gz%" \
             https://github.com/abo-abo/avy/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## avy 0.4.0+git20180322.2d613eb0

=== debian/changelog ===
avy (0.4.0+git20180322.2d613eb0-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot, incorporating many bug fixes.
    I have been using this snapshot for some months, and consider it
    suitable for a Debian stable release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 06 Jun 2018 12:21:10 +0100

avy (0.4.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with dh-elpa 1.13 to fix byte-compilation with unversioned
    emacs

 -- David Bremner <bremner@debian.org>  Fri, 01 Jun 2018 20:36:00 -0300

## avy 0.4.0+git20190328.85b5d574

=== debian/changelog ===
avy (0.4.0+git20190328.85b5d574-1) unstable; urgency=medium

  * New upstream snapshot, incorporating bug fixes

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 29 Mar 2019 18:26:09 +0500

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Standards-Version: 3.9.8
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/abo-abo/avy
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/avy.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/avy.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/avy
+Vcs-Git: https://salsa.debian.org/emacsen-team/avy.git
 
 Package: elpa-avy
 Architecture: all

## avy 0.5.0

=== Makefile ===
--- 
+++ 
@@ -3,12 +3,15 @@
 
 LOAD = -l avy.el -l avy-test.el
 
-.PHONY: all test clean
+.PHONY: all test clean checkdoc
 
-all: compile test
+all: compile test checkdoc
 
 test:
 	$(emacs) -batch $(LOAD) -f ert-run-tests-batch-and-exit
+
+checkdoc:
+	$(emacs) -batch -l targets/checkdoc.el
 
 compile:
 	$(emacs) -batch -l targets/avy-init.el

=== debian/changelog ===
avy (0.5.0-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 17:39:54 +0900

avy (0.5.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:07:23 +0900

avy (0.5.0-2) unstable; urgency=medium

  * Rebuild against newer dh_elpa
  * Add upstream metadata
  * d/control: Migrate to debhelper-compat 13
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)
  * d/control: Drop emacs25 from Enhances
  * d/copyright: Bump copyright years
  * d/rules: Ship changelog in org-mode format

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 08 Dec 2020 10:54:18 +0500

avy (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Migrate to debhelper 12 without d/compat
  * Drop obsolete README.Debian
  * d/control: Add Rules-Requires-Root: no
  * d/control: Declare Standards-Version 4.4.0
  * d/control: Drop Built-Using field
  * d/control: Drop emacs from Depends
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/copyright: Bump copyright years
  * d/rules: Do not pass --parallel to dh

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 08 Jul 2019 18:46:16 +0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: avy
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 3.9.8
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/abo-abo/avy
 Vcs-Browser: https://salsa.debian.org/emacsen-team/avy
@@ -14,12 +15,9 @@
 Package: elpa-avy
 Architecture: all
 Depends: ${elpa:Depends},
-         ${misc:Depends},
-         emacs
+         ${misc:Depends}
 Recommends: emacs (>= 46.0)
-Enhances: emacs,
-          emacs25
-Built-Using: ${misc:Built-Using}
+Enhances: emacs
 Description: jump to things in Emacs tree-style
  This package provides a generic completion method based on building
  a balanced decision tree with each candidate being a leaf.  To

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_installchangelogs:
	dh_installchangelogs doc/Changelog.org
	dh_installchangelogs

.PHONY: override_dh_installchangelogs
